<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>Programming on Silicon Graphics® Systems: An Overview</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5418779">
<title>About This Guide</title>
<figure href="pr01.html#id5364526" id="id5364526">
<title>Figure 1. Building an Application with Silicon Graphics Software</title>
</figure>
<section href="pr01.html#id5364543" id="id5364543">
<title>What This Guide Contains</title>
</section>
<section href="pr01.html#id5361143" id="id5361143">
<title>What You Should Know Before Reading This Guide</title>
</section>
</preface>
<chapter href="ch01.html" id="id5361158">
<title>Chapter 1. The IRIX Operating System</title>
<section href="ch01.html#id5361197" id="id5361197">
<title>About the IRIX Operating System</title>
<section href="ch01.html#id5361210" id="id5361210">
<title>Standards Compliance</title>
</section>
<section href="ch01.html#id5364707" id="id5364707">
<title>Internationalization</title>
<table href="ch01.html#id5364738" id="id5364738">
<title>Table 1-1. IRIX-Supported Internationalization Features</title>
</table>
</section>
<section href="ch01.html#id5362566" id="id5362566">
<title>Networking</title>
</section>
<section href="ch01.html#id5362747" id="id5362747">
<title>X Window System</title>
</section>
</section>
<section href="ch01.html#id5362794" id="id5362794">
<title>Silicon Graphics Extras</title>
<section href="ch01.html#id5362851" id="id5362851">
<title>Fast 3D Graphics</title>
</section>
<section href="ch01.html#id5362956" id="id5362956">
<title>Parallel Programming</title>
</section>
<section href="ch01.html#id5363070" id="id5363070">
<title>Real-Time Enhancements</title>
</section>
<section href="ch01.html#id5363117" id="id5363117">
<title>High-Performance I/O </title>
</section>
<section href="ch01.html#id5363325" id="id5363325">
<title>Indigo Magic Environment</title>
</section>
</section>
<section href="ch01.html#id5363387" id="id5363387">
<title>Device Drivers</title>
<figure href="ch01.html#id5363436" id="id5363436">
<title>Figure 1-1. Driver Position in the Kernel</title>
</figure>
</section>
<section href="ch01.html#id5363605" id="id5363605">
<title>Writing an Application Program</title>
<figure href="ch01.html#id5363738" id="id5363738">
<title>Figure 1-2. Component Hierarchy of an IRIX Application Program</title>
</figure>
</section>
</chapter>
<chapter href="ch02.html" id="id5363775">
<title>Chapter 2. IRIX Developer Documentation</title>
<section href="ch02.html#id5363954" id="id5363954">
<title>A Documentation Roadmap</title>
<figure href="ch02.html#id5363978" id="id5363978">
<title>Figure 2-1. Documentation for Developers</title>
</figure>
</section>
<section href="ch02.html#id5364016" id="id5364016">
<title>The IRIS Developer's Option</title>
</section>
<section href="ch02.html#id5435724" id="id5435724">
<title>An Annotated List of Manuals</title>
<section href="ch02.html#id5435735" id="id5435735">
<title>Operating System Level Documentation</title>
<table href="ch02.html#id5435751" id="id5435751">
<title>Table 2-1.  Operating System Level Manuals</title>
</table>
</section>
<section href="ch02.html#id5435965" id="id5435965">
<title>Compilers</title>
<table href="ch02.html#id5435986" id="id5435986">
<title>Table 2-2.  Compiler Manuals</title>
</table>
</section>
<section href="ch02.html#id5436462" id="id5436462">
<title>User Interface Tools</title>
<table href="ch02.html#id5436483" id="id5436483">
<title>Table 2-3.  Documentation About User Interface Tools</title>
</table>
</section>
<section href="ch02.html#id5436871" id="id5436871">
<title>Software Development Tools</title>
<table href="ch02.html#id5436922" id="id5436922">
<title>Table 2-4.  Software Development Tools Manuals</title>
</table>
</section>
<section href="ch02.html#id5437499" id="id5437499">
<title>Application Libraries</title>
<table href="ch02.html#id5437541" id="id5437541">
<title>Table 2-5.  Application Libraries Manuals</title>
</table>
</section>
</section>
</chapter>
<chapter href="ch03.html" id="id5438156">
<title>Chapter 3. Compilers</title>
<section href="ch03.html#id5438209" id="id5438209">
<title>C and C++</title>
</section>
<section href="ch03.html#id5438306" id="id5438306">
<title>Fortran 77</title>
</section>
<section href="ch03.html#id5438325" id="id5438325">
<title>The Parallelizing Compilers</title>
<section href="ch03.html#id5438339" id="id5438339">
<title>Power C</title>
<figure href="ch03.html#id5438454" id="id5438454">
<title>Figure 3-1. Using Power C to Produce a Parallelized Program</title>
</figure>
</section>
<section href="ch03.html#id5438516" id="id5438516">
<title>Power Fortran Accelerator</title>
<figure href="ch03.html#id5438556" id="id5438556">
<title>Figure 3-2. Using PFA to Produce a Parallelized Program</title>
</figure>
</section>
</section>
<section href="ch03.html#id5438610" id="id5438610">
<title>Pascal</title>
</section>
<section href="ch03.html#id5438691" id="id5438691">
<title>Ada</title>
</section>
</chapter>
<chapter href="ch04.html" id="id5438743">
<title>Chapter 4. User Interface Tools</title>
<section href="ch04.html#id5438786" id="id5438786">
<title>X Window System</title>
<section href="ch04.html#id5438918" id="id5438918">
<title>Xlib and Xt</title>
</section>
<section href="ch04.html#id5439048" id="id5439048">
<title>4Dwm </title>
</section>
</section>
<section href="ch04.html#id5439146" id="id5439146">
<title>User Interface Toolkits</title>
<section href="ch04.html#id5439182" id="id5439182">
<title>OSF/Motif and IRIS IM</title>
<figure href="ch04.html#id5439220" id="id5439220">
<title>Figure 4-1. Hierarchy of User Interface Toolkits</title>
</figure>
</section>
<section href="ch04.html#id5439276" id="id5439276">
<title>IRIS ViewKit</title>
<figure href="ch04.html#id5439319" id="id5439319">
<title>Figure 4-2. IRIS ViewKit in the Developer Environment</title>
</figure>
<figure href="ch04.html#id5439374" id="id5439374">
<title>Figure 4-3. A Portion of the IRIS ViewKit Class Hierarchy</title>
</figure>
</section>
</section>
<section href="ch04.html#id5439485" id="id5439485">
<title>Indigo Magic Desktop Integration</title>
<section href="ch04.html#id5439508" id="id5439508">
<title>Learning About Silicon Graphics User Interface Style </title>
</section>
<section href="ch04.html#id5439591" id="id5439591">
<title>Integrating Your Application Into the Desktop</title>
<section href="ch04.html#id5439632" id="id5439632">
<title>Achieving the Indigo Magic Look and Feel</title>
</section>
<section href="ch04.html#id5439759" id="id5439759">
<title>Creating Desktop Icons</title>
</section>
<section href="ch04.html#id5439830" id="id5439830">
<title>Packaging Your Application for Installation</title>
</section>
</section>
</section>
</chapter>
<chapter href="ch05.html" id="id5439859">
<title>Chapter 5. Software Development Tools </title>
<section href="ch05.html#id5439924" id="id5439924">
<title>Creating Executable Files</title>
<section href="ch05.html#id5439940" id="id5439940">
<title>Compiler Drivers</title>
<table href="ch05.html#id5439978" id="id5439978">
<title>Table 5-1. Compiler Drivers and Source Languages</title>
</table>
</section>
<section href="ch05.html#id5440201" id="id5440201">
<title>Object Files and Dynamic Linking</title>
</section>
</section>
<section href="ch05.html#id5440328" id="id5440328">
<title>IRIX Tools for Debugging and Tuning Your Program</title>
<section href="ch05.html#id5440348" id="id5440348">
<title>Debugging Tool</title>
</section>
<section href="ch05.html#id5440470" id="id5440470">
<title>Tools for Object File Query and Manipulation</title>
</section>
<section href="ch05.html#id5440689" id="id5440689">
<title>Performance Tuning Tools</title>
<table href="ch05.html#id5440717" id="id5440717">
<title>Table 5-2. Summary of Performance Tuning Tools</title>
</table>
<section href="ch05.html#id5440874" id="id5440874">
<title>Using prof and pixie</title>
<figure href="ch05.html#id5440982" id="id5440982">
<title>Figure 5-1. Using prof to Obtain pc Sampling Information</title>
</figure>
<figure href="ch05.html#id5441041" id="id5441041">
<title>Figure 5-2. Using pixie to Collect Basic Block Counts</title>
</figure>
</section>
<section href="ch05.html#id5441112" id="id5441112">
<title>par	</title>
</section>
<section href="ch05.html#id5441140" id="id5441140">
<title>cord 	</title>
<figure href="ch05.html#id5441173" id="id5441173">
<title>Figure 5-3. Using cord to Rearrange Procedures</title>
</figure>
</section>
<section href="ch05.html#id5441234" id="id5441234">
<title>xscope	</title>
</section>
</section>
</section>
<section href="ch05.html#id5441260" id="id5441260">
<title>The CASEVision Programming Tools</title>
<section href="ch05.html#id5441350" id="id5441350">
<title>The CASEVision Environment</title>
</section>
<section href="ch05.html#id5441437" id="id5441437">
<title>CASEVision/WorkShop</title>
<figure href="ch05.html#id5441506" id="id5441506">
<title>Figure 5-4. An Example of a CASEVision User Interface</title>
</figure>
<section href="ch05.html#id5441552" id="id5441552">
<title>The WorkShop Debugger</title>
</section>
<section href="ch05.html#id5441589" id="id5441589">
<title>The WorkShop Static Analyzer</title>
</section>
<section href="ch05.html#id5441609" id="id5441609">
<title>The Performance Analyzer</title>
</section>
<section href="ch05.html#id5441626" id="id5441626">
<title>WorkShop Tester </title>
</section>
<section href="ch05.html#id5441642" id="id5441642">
<title>WorkShop/Build Manager</title>
</section>
</section>
<section href="ch05.html#id5441710" id="id5441710">
<title>CASEVision/WorkShop MegaDev</title>
</section>
<section href="ch05.html#id5441742" id="id5441742">
<title>CASEVision/WorkShop Pro MPF</title>
</section>
</section>
<section href="ch05.html#id5441792" id="id5441792">
<title>Version Control and Configuration Management</title>
<section href="ch05.html#id5441845" id="id5441845">
<title>CASEVision/Tracker</title>
</section>
<section href="ch05.html#id5441887" id="id5441887">
<title>CASEVision/ClearCase</title>
</section>
</section>
</chapter>
<chapter href="ch06.html" id="id5441926">
<title>Chapter 6. Application Libraries</title>
<section href="ch06.html#id5442004" id="id5442004">
<title>Graphics Libraries</title>
<section href="ch06.html#id5442051" id="id5442051">
<title>OpenGL</title>
<figure href="ch06.html#id5442213" id="id5442213">
<title>Figure 6-1. Using the Lighting Feature of OpenGL</title>
</figure>
<figure href="ch06.html#id5442241" id="id5442241">
<title>Figure 6-2. Using the Texture-Mapping Feature of OpenGL </title>
</figure>
</section>
<section href="ch06.html#id5442348" id="id5442348">
<title>Open Inventor</title>
<figure href="ch06.html#id5442381" id="id5442381">
<title>Figure 6-3. A Scene Created by Open Inventor </title>
</figure>
<figure href="ch06.html#id5442420" id="id5442420">
<title>Figure 6-4. Open Inventor Architecture</title>
</figure>
<section href="ch06.html#id5442436" id="id5442436">
<title>Open Inventor Toolkit</title>
</section>
<section href="ch06.html#id5442543" id="id5442543">
<title>Component Library</title>
</section>
<section href="ch06.html#id5442559" id="id5442559">
<title>3D Interchange File Format</title>
</section>
</section>
<section href="ch06.html#id5442574" id="id5442574">
<title>IRIS Graphics Library</title>
<figure href="ch06.html#id5442685" id="id5442685">
<title>Figure 6-5. IRIS GL in the Developer Environment</title>
</figure>
</section>
<section href="ch06.html#id5442714" id="id5442714">
<title>IRIS Performer</title>
<figure href="ch06.html#id5442866" id="id5442866">
<title>Figure 6-6. IRIS Performer Library Hierarchy</title>
</figure>
<table href="ch06.html#id5442946" id="id5442946">
<title>Table 6-1.  Database Formats Supported by Performer</title>
</table>
</section>
</section>
<section href="ch06.html#id5443104" id="id5443104">
<title>ImageVision Library</title>
<figure href="ch06.html#id5443230" id="id5443230">
<title>Figure 6-7. A Display Created by ImageVision Library</title>
</figure>
<figure href="ch06.html#id5443286" id="id5443286">
<title>Figure 6-8. Using the ImageVision Library to Transform an Image</title>
</figure>
<figure href="ch06.html#id5443318" id="id5443318">
<title>Figure 6-9. A Simple ImageVision Library Application</title>
</figure>
<figure href="ch06.html#id5443359" id="id5443359">
<title>Figure 6-10. Architecture of an ImageVision Library Application</title>
</figure>
</section>
<section href="ch06.html#id5443475" id="id5443475">
<title>IRIS Digital Media Development Environment</title>
<section href="ch06.html#id5443485" id="id5443485">
<title>IRIS Digital Media Libraries</title>
<section href="ch06.html#id5443549" id="id5443549">
<title>Digital Audio Libraries</title>
<table href="ch06.html#id5443569" id="id5443569">
<title>Table 6-2.  Digital Audio Libraries</title>
</table>
<figure href="ch06.html#id5443785" id="id5443785">
<title>Figure 6-11. Interaction of Digital Audio System Components</title>
</figure>
</section>
<section href="ch06.html#id5443803" id="id5443803">
<title>MIDI library</title>
</section>
<section href="ch06.html#id5443818" id="id5443818">
<title>Video Library</title>
</section>
<section href="ch06.html#id5443837" id="id5443837">
<title>Compression Library</title>
</section>
<section href="ch06.html#id5443863" id="id5443863">
<title>Movie Library</title>
</section>
</section>
<section href="ch06.html#id5443901" id="id5443901">
<title>Digital Media Tools</title>
<table href="ch06.html#id5443924" id="id5443924">
<title>Table 6-3.  Digital Media Tools</title>
</table>
</section>
</section>
<section href="ch06.html#id5444190" id="id5444190">
<title>Printer/Scanner Management</title>
<figure href="ch06.html#id5444411" id="id5444411">
<title>Figure 6-12. Interface to the Spooling System</title>
</figure>
</section>
</chapter>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
